imports:
- { resource: ./../config/framework.yml }

security:
    encoders:
        Symfony\Component\Security\Core\User\User: plaintext

    providers:
        in_memory:
            memory:
                users:
                    johannes: { password: test, roles: [ROLE_USER] }

    firewalls:
        default:
            form_login:
                check_path: login
                remember_me: true
                require_previous_session: false
            logout: ~
            anonymous: ~
            stateless: true

    access_control:
        - { path: ^/login$, roles: IS_AUTHENTICATED_ANONYMOUSLY }
        - { path: .*, roles: IS_AUTHENTICATED_FULLY }
